# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 7
%define qtsubminor 3
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtshadertools-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtshadertools   %mklibname qt%{qtmajor}shadertools %{qtmajor}
%define libqtshadertools_d %mklibname qt%{qtmajor}shadertools -d

Name:           qtshadertools6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Shader Tools component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6Gui) >= %{version}
BuildRequires:  qtbase6-qtpaths = %{version}

Provides:       qt%{qtmajor}-qtshadertools = %{version}-%{release}

%description
Qt%{qtmajor} shader tools component.

%files
%{_qt6_bindir}/qsb

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtShaderTools%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtShaderTools%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/qtshadertools.qch
%{_qt6_docdir}/qtshadertools/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtshadertools}
Summary:        Qt%{qtmajor} Shader Tools Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtshadertools}
Qt%{qtmajor} Shader Tools Component Library.

%files -n %{libqtshadertools}
%{_qt6_libdir}/libQt6ShaderTools.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtshadertools_d}
Summary:        Devel files needed to build apps based on QtShaderTools
Group:          Development/KDE and Qt
Requires:       %{libqtshadertools} = %{version}
Provides:       libqt6shadertools-devel = %{version}
Provides:       libqtshadertools6-devel = %{version}
Provides:       qt6shadertools-devel = %{version}
Provides:       qtshadertools6-devel = %{version}
Provides:       qt%{qtmajor}-qtshadertools-devel = %{version}-%{release}

%description -n %{libqtshadertools_d}
Devel files needed to build apps based on Qt ShaderTools.

%files -n %{libqtshadertools_d}
%{_qt6_includedir}/QtShaderTools/
%{_qt6_libdir}/libQt6ShaderTools.so
%{_qt6_libdir}/libQt6ShaderTools.prl
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_shadertools.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_shadertools_private.pri
%{_qt6_libdir}/cmake/Qt6ShaderTools/
%{_qt6_libdir}/cmake/Qt6ShaderToolsTools/
%{_qt6_libdir}/pkgconfig/Qt6ShaderTools.pc
%{_qt6_libdir}/qt6/modules/ShaderTools.json
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtShaderToolsTestsConfig.cmake
%{_qt6_libdir}/qt6/metatypes/qt6shadertools_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%prep
%setup -q -n qtshadertools-everywhere-src-%{qtversion}
%autopatch -p1

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%ninja_build -C build docs
%endif

%install
%cmake_install

%if %{build_docs}
%ninja_install -C build install_docs
%endif


%changelog
* Sat Oct 05 2024 daviddavid <daviddavid> 6.7.3-1.mga10
+ Revision: 2103587
- New version 6.7.3
- enable docs building

* Wed Jul 31 2024 daviddavid <daviddavid> 6.7.2-1.mga10
+ Revision: 2083093
- New version 6.7.2

* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2072521
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Tue May 21 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2065789
- New version 6.7.1

* Thu Feb 15 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041661
- New version 6.6.2

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999058
- New version 6.6.0

* Sun Sep 10 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1985707
- New version 6.5.2

* Tue Dec 27 2022 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1927070
- build examples

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923058
- New version 6.4.1

* Fri Sep 30 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1893448
- New version 6.4.0

* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881411
- New version 6.3.1

* Fri Jun 24 2022 papoteur <papoteur> 6.3.0-2.mga9
+ Revision: 1865715
- Mass Rebuild for dependencies

* Tue Apr 12 2022 neoclust <neoclust> 6.3.0-1.mga9
+ Revision: 1849143
- New version 6.3.0

* Sun Apr 03 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1842769
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1781923
- New version 6.2.3

* Sun Nov 14 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756260
- New version 6.2.1

* Thu Nov 11 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1755851
- Fix BR

* Fri May 14 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722885
- initial package qtshadertools6

